From 6dc9d475c11119e7c0e3caa2fddd4e50baa7477a Mon Sep 17 00:00:00 2001
From: jgart <jgart@dismail.de>
Date: Fri, 16 Apr 2021 00:35:27 -0400
Subject: [PATCH 4/6] gnu: Add abjad-ext-rmakers.

    * gnu/packages/music.scm (abjad-ext-rmakers): New variable.
---
 gnu/packages/music.scm | 40 ++++++++++++++++++++++++++++++++++++++++
 1 file changed, 40 insertions(+)

diff --git a/gnu/packages/music.scm b/gnu/packages/music.scm
index f705d91cee..afce37327a 100644
--- a/gnu/packages/music.scm
+++ b/gnu/packages/music.scm
@@ -1558,6 +1558,46 @@ Because Abjad wraps the LilyPond music notation package, you can use Abjad to co
 typographic detail of symbols on the page.")
     (license license:expat)))
 
+(define-public abjad-ext-rmakers
+  (package
+    (name "abjad-ext-rmakers")
+    (version "3.3")
+    (source
+     (origin
+       (method git-fetch)
+       (uri (git-reference
+         (url "https://github.com/Abjad/abjad-ext-rmakers")
+         (commit (string-append "v" version))))
+       (file-name (git-file-name name version))
+       (sha256
+        (base32
+         "03nry8lzh3s81yq4lw8y6j63m7zdsl20q7rvx9cfmp3rmbvlaycs"))))
+    (build-system python-build-system)
+    (arguments
+     `(#:phases
+       (modify-phases %standard-phases
+         (replace 'check
+           (lambda* (#:key tests? #:allow-other-keys)
+             (when tests?
+               (invoke "python" "-m" "pytest" ".")
+               #t))))))
+    (native-inputs
+     `(("python-black" ,python-black)
+       ("python-flake8" ,python-flake8)
+       ("python-iniconfig" ,python-iniconfig)
+       ("python-isort" ,python-isort)
+       ("python-mypy" ,python-mypy)
+       ("python-pytest" ,python-pytest-6)
+       ("python-pytest-cov" ,python-pytest-cov)
+       ("python-pytest-helpers-namespace" ,python-pytest-helpers-namespace)))
+    (propagated-inputs
+     `(("abjad" ,abjad)))
+    (home-page "https://abjad.github.io")
+    (synopsis "Abjad rhythm-maker exension package")
+    (description
+     "@code{abjad-ext-rmakers} includes a collection of classes for creating and
+and manipulating rhythms such as accelerandi, taleas, and more.")
+    (license license:expat)))
 (define-public non-sequencer
   ;; The latest tagged release is three years old and uses a custom build
   ;; system, so we take the last commit.
-- 
2.29.3

